This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 253855 - eclipse-sdk-nls-nl causes exceptions on Fedora 7
eclipse-sdk-nls-nl causes exceptions on Fedora 7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-sdk-nls (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 09:24 EDT by Erik van Pienbroek
Modified: 2008-06-16 22:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Eclipse logfile containing some exceptions (66.58 KB, text/plain)
2007-08-22 09:24 EDT, Erik van Pienbroek
no flags Details

  None (edit)
Description Erik van Pienbroek 2007-08-22 09:24:02 EDT
I'm using Fedora 7 which is installed using a kickstart script. During the
installation the package 'eclipse-subclipse' is installed and the Java
development related packages.

After installation the following eclipse packages are installed :

eclipse-rcp
eclipse-jdt
eclipse-ecj
eclipse-cvs-client
eclipse-cdt
eclipse-subclipse
eclipse-changelog
eclipse-sdk-nls-nl
eclipse-platform

However, when I start Eclipse for the first time and I try to create a new
project I don't see the options for the SVN-projects or the Java-projects.

In the log file eclipse creates there are some exceptions mentioned. This
logfile is attached to this report. After trying to remove/add the various
eclipse-related packages I found out that the package eclipse-sdk-nls-nl is the
cause of these exceptions. If I remove the package and the ~/.eclipse folder
both the Java and SVN plugins work as expected. If I re-install the
eclipse-sdk-nls-nl package and remove the ~/.eclipse folter the exceptions return.
Comment 1 Erik van Pienbroek 2007-08-22 09:24:02 EDT
Created attachment 162050 [details]
Eclipse logfile containing some exceptions
Comment 2 Ben Konrath 2007-08-22 09:37:43 EDT
Not sure about the errors, but you need to install the JDT to get java
development support in eclipse:

yum install eclipse-jdt

As far as using Subclipse goes, just do "File -> Import -> Other -> Check out
project from SVN"

Hope this helps, Ben
Comment 3 Erik van Pienbroek 2007-08-22 09:46:43 EDT
As you can see in the original report, the package eclipse-jdt was already
installed, but wasn't loaded due to the exceptions triggered by the
eclipse-sdk-nls-nl package.
Comment 4 Ben Konrath 2007-08-22 19:37:38 EDT
Sorry, I misread. Not sure what the problem is then.
Comment 5 Bug Zapper 2008-05-14 10:04:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:13:08 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.